# stack Struct Reference

## Data Fields

int | base
int | comment
int | step
struct stack * | next

## Detailed Description

Stack of indentation information used for pretty-printing configuration information.

## Field Documentation

int stack::base

Referenced by dmxConfigPopState(), and dmxConfigPushState().

int stack::comment

Referenced by dmxConfigPushComment(), and dmxConfigPushState().

struct stack* stack::next

Referenced by dmxConfigPopState().

int stack::step

Referenced by dmxConfigPushState(), and dmxConfigPushStep().

The documentation for this struct was generated from the following file:

- dmxprint.c